﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;
using Infragistics.Windows;

namespace XamMultiCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
            QuarterBacks = new List<QuarterBack>() 
            {
                new QuarterBack() { year = "2001", team = "SomeTeam", att = 100, comp = 50 }, 
                new QuarterBack() { year = "2002", team = "SomeTeam", att = 100, comp = 20}, 
                new QuarterBack() { year = "2002", team = "SomeTeam", att = 100, comp = 20} 
            };
            this.DataContext = QuarterBacks;
        }

        public List<QuarterBack> QuarterBacks { get; private set; }

        public class QuarterBack
        {
            public string year { get; set; }
            public string team { get; set; }
            public int comp { get; set; }
            public int att { get; set; }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            xamMultiColumnComboEditor1.SelectedItems.Clear();
            foreach (var item in xamMultiColumnComboEditor1.ItemsSource)
            {
                this.xamMultiColumnComboEditor1.SelectedItems.Add(item);
            }
        }

    }
}
